unit lcd1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DigitLed, StdCtrls,LedGroup, Spin;

type

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    DigitLed1: TDigitLed;
    Button9: TButton;
    LedGroup1: TLedGroup;
    LedCounter: TLedGroup;
    SpinButton1: TSpinButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Swap(bar:TDigitBars);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
  private
    { Private declarations }
    Counter: Byte;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}






procedure TForm1.Swap;
begin
if TDigitBars(bar) in DigitLed1.Segments then DigitLed1.Segments:=DigitLed1.Segments-[TDigitBars(bar)]
                              else DigitLed1.Segments:=DigitLed1.Segments+[TDigitBars(bar)];
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
swap(bOne);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
swap(bTwo);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
swap(bThree);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
swap(bFour);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
swap(bFive);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
swap(bSix);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
swap(bSeven);
end;

procedure TForm1.Button8Click(Sender: TObject);
var
  LedGroup: TLedGroup;
begin
LedGroup:=TLedGroup.Create(self);
LedGroup.MaxDigits:=10;
InsertControl(LedGroup);
LedGroup.caption:='12345';
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
swap(bComma);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Counter:=1;
end;

procedure TForm1.SpinButton1DownClick(Sender: TObject);
begin
dec(counter);
if counter>=0 then LedCounter.caption:=copy(IntToStr(counter)+' ',1,2)
              else counter:=0;
end;

procedure TForm1.SpinButton1UpClick(Sender: TObject);
begin
inc(counter);
if counter<=99 then LedCounter.caption:=copy(IntToStr(counter)+' ',1,2)
               else Counter:=99;
end;



end.
